## apt 0.1.8

=== debian/changelog ===
apt (0.1.8) stable; urgency=low

  * hamm (Debian 2.0) build of apt 0.1.9. This should go into
    the "upgrades" directory of slink before its release to
    facilitate the upgrade from hamm to slink.

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:29:11 -0800
	

apt (0.1.9) unstable; urgency=low

  * Return to the wacky numbering for when we build 0.1.8 for hamm
  * Important bug related to APT on the Alpha fixed
  * apt-get dist-upgrade problems fixed
  * tiny patch for http method to fix an endless loop
  * nice fix from /usr/doc/lintian/ to remove rpath nastiness from
    libtool and add proper shared lib dependancies
  * now dh_shlibdeps is called with LD_LIBRARY_PATH=debian/tmp/usr/lib
    in case an old libpkg is installed while building APT to prevent
    spurious dependancies

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:06:09 -0800

apt (0.1.7) unstable; urgency=low

  * New build with libstdc++2.9.
  * Various fixes; read the Changelog.

 -- Ben Gertzfield <che@debian.org>  Thu, 15 Oct 1998 18:29:18 -0700

apt (0.1.6) unstable; urgency=low

  * Various fixes in the FTP method for error checking. Fixes: #26188.
  * Spelling corrections in dselect method. Fixes: #25884
  * Fixes for compilation on alpha/ppc. Fixes: #25313, #26108.
  * No more bo releases: we're using a normal numbering system now.

 -- Ben Gertzfield <che@debian.org>  Tue,  8 Sep 1998 19:27:13 -0700

apt (0.1.5) unstable; urgency=low

  * Changed sources.list to point to 'unstable' by default, as
    'frozen' no longer exists!

 -- Ben Gertzfield <che@debian.org>  Thu, 23 Jul 1998 22:00:18 -0700

apt (0.1.3) unstable; urgency=low

  * New upstreamish version.
  * ftp method rewritten in C. Removes dependancies on all perl/perl
    related modules. This fixes many of the ftp method bugs.

 -- Ben Gertzfield <che@debian.org>  Thu, 16 Jul 1998 22:19:00 -0700

apt (0.1.1) unstable; urgency=low

  * Release for unstable.

 -- Ben Gertzfield <che@debian.org>  Tue, 30 Jun 1998 20:48:30 -0700

apt (0.1) unstable; urgency=low

  * Kludge to fix problem in libnet-perl with illegal anonymous
    FTP passwords.
  * Moved to unstable; apt is in a useable state now.
  * Fixed version numbering. From now on, numbering will be:
    0.1 (no actual release) -> 0.1.0bo (release for libc5) ->
    0.1.1 (release for unstable). Thanks, Manoj.
  
 -- Ben Gertzfield <che@debian.org>  Tue, 30 Jun 1998 20:40:58 -0700

apt (0.0.17-1) experimental; urgency=low

  * Fixed problem with libc6 version compare
  * Scott's away for a while, so I'll be packaging apt for the time
    being.

 -- Ben Gertzfield <che@debian.org>  Thu, 25 Jun 1998 19:02:03 -0700

apt (0.0.16-1) experimental; urgency=low

  * Modifications to make apt-get more friendly when backgrounded.
  * Updated documentation.
  * Updates to graphic widgets

 -- Scott K. Ellis <scott@debian.org>  Mon,  8 Jun 1998 11:22:02 -0400

apt (0.0.15-0.2bo) experimental; urgency=low

  * Bo compilation
  * Bob Hilliards crash
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun, 31 May 1998 20:18:35 -0600

apt (0.0.15-0.1bo) experimental; urgency=low

  * Bo compilation
  * libstdc++272 patch
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun, 31 May 1998 20:18:35 -0600

apt (0.0.15) experimental; urgency=low

  * Clean up source tarball (no user-visible changes)

 -- Scott K. Ellis <scott@debian.org>  Tue, 26 May 1998 12:23:53 -0400

apt (0.0.14) experimental; urgency=low

  * Updates in ordering code to make sure certain upgrades work correctly.
  * Made dselect/setup understand ftp as well as http

 -- Scott K. Ellis <scott@debian.org>  Wed, 20 May 1998 13:33:32 -0400

apt (0.0.13-bo1) experimental; urgency=low

  * Bo compilation

 -- Jason Gunthorpe <jgg@debian.org>  Mon, 18 May 1998 15:10:49 -0600 

apt (0.0.13) experimental; urgency=low

  * Remove hardcoded egcc from debian/rules (#21575)
  * Fixes for ordering logic when system has a number of unpacked
    but unconfigured packages installed.
  * Spelling fix in dselect install method (#22556)

 -- Scott K. Ellis <scott@debian.org>  Sun, 17 May 1998 20:08:33 -0400

apt (0.0.12) experimental; urgency=low

  * Fixed problems with package cache corruption.
  * Made to depend on libc6 >= 2.0.7pre1 due to timezone problems with
    earlier versions.
  * Interface and documentation improvements.

 -- Scott K. Ellis <scott@debian.org>  Sat, 16 May 1998 23:17:32 -0400

apt (0.0.11) experimental; urgency=low

  * Change dependancies to pre-depends since breaking your packaging tools
    in the middle of an installation isn't very good.
  * Bug fixes to ftp method and general apt-get code

 -- Scott K. Ellis <scott@debian.org>  Fri, 15 May 1998 08:57:38 -0400

apt (0.0.10) experimental; urgency=low

  * Run "dpkg --configure -a" after an aborted dselect install
  * Fixed problem with install looping
  * Support for authenticating proxys: (note this isn't terribly secure)
    http_proxy="http://user:pass@firewall:port/"
  * Substitute $ARCH in sources.list
  * Fixes in the resumption code for ftp

 -- Scott K. Ellis <scott@debian.org>  Tue, 12 May 1998 09:14:41 -0400

apt (0.0.9) experimental; urgency=low

  * Added ftp support.
  * Various other less visible bug fixes.
  * Fixed problem with segfault when apt-get invoked in a non-existant 
    directory (Bug #21863)
  * Bumped policy to 2.4.1

 -- Scott K. Ellis <scott@debian.org>  Fri,  1 May 1998 09:18:19 -0400

apt (0.0.8) experimental; urgency=low

  * Fixed generated available file (Bug #21836)
  * Added download ETA (Bug #21774).
  * Fixed hardcoded ARCH (Bug #21751).
  * Fixed check on http_proxy (Bug #21795).
  * Added download speed indicator.

 -- Scott K. Ellis <scott@debian.org>  Mon, 27 Apr 1998 10:58:32 -0400

apt (0.0.7) experimental; urgency=low

  * Remove libdeity and apt from package for now, since only apt-get and
    apt-cache are actually useful right now.
  * Clean up handling of package installation errors.
  * Added timeout to http transfers (#21269)

