## apt 0.1.10

=== debian/changelog ===
apt (0.1.10) unstable; urgency=low

  * Fix llug reference in dselect APT method setup.
  * Fix versioning code for multiple -s
  * noupgrade backport from v3

 -- Ben Gertzfield <che@debian.org>  Tue, 12 Jan 1999 20:18:51 -0800

apt (0.1.9) frozen unstable; urgency=low

  * Return to the wacky numbering for when we build 0.1.8 for hamm
  * Important bug related to APT on the Alpha fixed
  * apt-get dist-upgrade problems fixed
  * tiny patch for http method to fix an endless loop
  * nice fix from /usr/doc/lintian/ to remove rpath nastiness from
    libtool and add proper shared lib dependancies
  * now dh_shlibdeps is called with LD_LIBRARY_PATH=debian/tmp/usr/lib
    in case an old libpkg is installed while building APT to prevent
    spurious dependancies

 -- Ben Gertzfield <che@debian.org>  Thu,  5 Nov 1998 17:43:25 -0800
