## apt 0.3.10slink11

=== debian/changelog ===
apt (0.3.10slink11) stable; urgency=low

  * Same as 0.3.11, but for slink/hamm (GNU libc 2.0)

 -- Remco van de Meent <remco@debian.org>  Sat,  7 Aug 1999 22:50:38 +0200

apt (0.3.11) unstable; urgency=low

  * Fix for mis-parsed file: URIs. Closes: #40373, #40366, #40230
  * Fix for properly upgrading the system from perl 5.004 to 5.005

 -- Ben Gertzfield <che@debian.org>  Mon, 28 Jun 1999 21:06:44 -0700

apt (0.3.9) unstable; urgency=low

  * Spelling error in cachefile.cc. Closes: #39885
  * Trailing slash in dselect install if you try to use the 
    default config file. Closes: #40011
  * Simulate works for autoclean. Closes: #39141
  * Fixed spelling errors. Closes: #39673
  * Changed url parsing a bit. Closes: #40070, #40069
  * Version 0.3.8 will be for slink/hamm (GNU libc 2).

 -- Ben Gertzfield <che@debian.org>  Thu, 24 Jun 1999 18:02:52 -0700

apt (0.3.7) unstable; urgency=low

  * Fixed missing text in the apt-get(8) page. Closes: #37596
  * Made --simulate and friends work with apt-get source. Closes: #37597, #37656
  * Fixed inclusion of man pages in the -doc/-dev package. Closes: #37633, #38651
  * Fixed handling of the -q option with not-entirely integer arguments
    Closes: #37499
  * Man page typo Closes: #37762
  * Fixed parsing of the Source: line. Closes: #37679
  * Dpkg/dpkg-hurd source bug. Closes: #38004, #38032
  * Added a check for an empty cache directory. Closes: #37963
  * Return a failure code if -d is given and packages fail to download.
    Closes: #38127
  * Arranged for an ftp proxy specifing an http server to work. See the
    important note in the sources.list man page.
  * Accounted for resumed files in the cps calculation. Closes: #36787
  * Deal with duplicate same version different packages. Closes: #30237
  * Added --no-download. Closes: #38095
  * Order of apt-cdrom dist detection. Closes: #38139
  * Fix apt-cdrom chop handling and missing lines. Closes: #37276
  * IPv6 http support
  * Suggests dpkg-dev for apt-get source. Closes: #38158
  * Fixed typo in apt-get help. Closes: #38712
  * Improved the error message in the case of broken held package. Closes: #38777
  * Fixed handling of MD5 failures
  * Documented list notation Closes: #39008
  * Change the 'b' to 'B'. Closes: #39007 
  
 -- Ben Gertzfield <che@debian.org>  Sun, 20 Jun 1999 18:36:20 -0700
 

apt (0.3.6) unstable; urgency=low

  * Note that 0.3.5 never made it out the door..
  * Fix for apt-cdrom and unusual disk label locations. Closes: #35571
  * Made APT print numbers in decimal. Closes: #35617, #37319
  * Buffer munching fix for FTP. Closes: #35868
  * Typo in sample config file. Closes: #35907
  * Fixed whitespace in version compares. Closes: #35968, #36283, #37051
  * Changed installed size counter to only count unpacked packages. 
    Closes: #36201
  * apt-get source support. Closes: #23934, #27190
  * Renames .debs that fail MD5 checking, provides automatic corruption
    recovery. Closes: #35931
  * Fixed autoconf verison. Closes: #37305
  * Random Segfaulting. Closes: #37312, #37530
  * Fixed apt-cache man page. Closes: #36904
  * Added a newline to apt-cache showpkg. Closes: #36903
  
 -- Ben Gertzfield <che@debian.org>  Wed, 12 May 1999 09:18:49 -0700

apt (0.3.4) unstable; urgency=low

  * Release for Ben while he is out of town.
  * Checked the size of partial files. Closes: #33705
  * apt-get should not print progress on non-tty. Closes: #34944
  * s/guide.text.gz/users-guide.txt.gz/ debian/control: Closes: #35207
  * Applied cdrom patches from Torsten.  Closes: #35140, #35141
  * smbmounted cdrom fix. Closes: #35470
  * Changed ie to eg.  Closes: #35196

 -- Adam Heath <doogie@debian.org>  Sun,  4 Apr 1999 18:26:44 -0500

apt (0.3.3) unstable; urgency=low

  * Fixes bug with file:/ URIs and multi-CD handling. Closes: #34923

 -- Ben Gertzfield <che@debian.org>  Tue, 23 Mar 1999 12:15:44 -0800

apt (0.3.2) unstable; urgency=low

  * Major release into unstable of v3
  * These bugs have been fixed, explanations are in the bug system, read
    the man pages as well..
    Closes: #21113, #22507, #22675, #22836, #22892, #32883, #33006, #34121,
    	    #23984, #24685, #24799, #25001, #25019, #34223, #34296, #34355,
	    #24021, #25022, #25026, #25104, #25176, #31557, #31691, #31853,
    	    #25458, #26019, #26433, #26592, #26670, #27100, #27100, #27601,
    	    #28184, #28391, #28778, #29293, #29351, #27841, #28172, #30260,
    	    #29382, #29441, #29903, #29920, #29983, #30027, #30076, #30112,
    	    #31009, #31155, #31381, #31883, #32140, #32395, #32584. #34465,
    	    #30383, #30441, #30472, #30643, #30827, #30324, #36425, #34596

 -- Ben Gertzfield <che@debian.org>  Mon, 15 Mar 1999 19:14:25 -0800

apt (0.3.1) experimental; urgency=low

  * Minor release of cvs version.
  * Added virtual package libapt-pkgx.x

 -- Mitch Blevins <mblevin@debian.org>  Wed, 10 Mar 1999 07:52:44 -0500

apt (0.3.0) experimental; urgency=low

  * New experimental version.

 -- Ben Gertzfield <che@debian.org>  Tue, 15 Dec 1998 12:53:21 -0800
