## apt 0.3.19

=== debian/changelog ===
apt (0.3.19) frozen unstable; urgency=low
  
  * Updates to apt-cdrom to support integrated non-us nicely, thanks to
    Paul Wade.
  * Fixed that apt-get/cdrom deadlock thing. Closes: #59853, #62945, #61976
  * Fixed hardcoded path. Closes: #59743
  * Fixed Jay's relative path bug
  * Allowed source only CDs. Closes: #58952
  * Space check is supressed if --print-uris is given. Closes: #58965
  * Clarified the documenation examples for non-us. Closes: #58646
  * Typo in the package description. Closes: #60230
  * Man Page typo. Closes: #60347 
  * Typo in Algorithms.cc. Closes: #63577
  * Evil dotty function in apt-cache for generating dependency graphs
    with the as-yet-unpackaged GraphVis.
  * Appears to have been fixed in Janurary.. Closes: #57981
  * New config.guess/sub for the new archs. Closes: #60874
  * Fixed error reporting for certain kinds of resolution failures. 
    Closes: #61327
  * Made autoclean respect 'q' settings. Closes: #63023
  * Fixed up the example sources.list. Closes: #63676
  * Added DPkg::FlushSTDIN to control the flushing of stdin before
    forking dpkg. Closes: #63991
    
 -- Ben Gertzfield <che@debian.org>  Fri, 12 May 2000 21:10:54 -0700

apt (0.3.18) frozen unstable; urgency=low
  
  * Changes in the postinst script. Closes: #56855, #57237
  * Fixed bashism. Closes: #57216, #57335
  * Doc updates. Closes: #57772, #57069, #57331, #57833, #57896
     
 -- Ben Gertzfield <che@debian.org>  Sun, 13 Feb 2000 01:52:31 -0800

apt (0.3.17) unstable; urgency=low

  * RFC 2732 usage for CDROM URIs and fixes to apt-cdrom
  * Fixed the configuration parser to not blow up if ; is in the config 
    string
  * Applied visual patch to dselect install script . Closes #55214
  * Included the configure-index example
  * Minimal CD swaps
  * Library soname has increased
  * Fixed default sources.list to have correct URLs for potato when it 
    becomes stable
  * Added a message about erasing sources.list to dselect setup script
    Closes: #55755
  * No remove prompt if the archives dir has not changed. Closes: #55709
  * Fixed inclusion of 2nd sample config file. Closes: #55374
  * Made file mtimes of 0 not confuse the methods If-Modifed-Since check. 
    Closes: #55991
  
 -- Ben Gertzfield <che@debian.org>  Mon, 31 Jan 2000 12:12:40 -0800
 

apt (0.3.16) unstable; urgency=low
 
  * Made --no-download work. Closes: #52993
  * Now compiles on OpenBSD, Solaris and HP-UX
  * Clarify segfault errors
  * More debhelper fixes. Closes: #52662, #54566, #52090, #53531, #54769
  * Fix for Joel's discovery of glibc removal behavoir.
  * Fix for Ben Collins file: uri from slink upgrade.
  * Fixed resume code in FTP. Closes: #54323
  * Take more precautions to prevent the corruption Joey Hess saw.
  * Fixed --no-list-cleanup
  * RFC 2732 URI parsing ([] for hostnames).
  * Typo in apt-cache man page. Closes: #54949
  
 -- Ben Gertzfield <che@debian.org>  Fri, 14 Jan 2000 08:04:15 -0800
  

apt (0.3.15) unstable; urgency=low

  * Added DSelect::WaitAfterDownload Closes: #49549
  * Fixed cast error in byteswap macro and supporting code. Closes: #50093
  * Fixed buffer overflow for wide terminal sizes. Closes: #50295
  * Made -s and clean not do anything. Closes: #50238
  * Problem with Protected packages and the new OR code.
  * /usr/share/doc stuff. Closes: #51017, #50228, #51141
  * Remove doesn't require a package to be installable. Closes: #51175
  * FTP proxy touch ups in the mabn page. Closes: #51315, #51314

 -- Ben Gertzfield <che@debian.org>  Sat,  4 Dec 1999 21:17:24 -0800

apt (0.3.14) unstable; urgency=low

  * Fix Perl or group pre-depends thing Closes: #46091, #46096, #46233, #45901
  * Fix handling of dpkg's conversions from < -> <= Closes: #46094, #47088
  * Make unparsable priorities non-fatal Closes: #46266, #46267, #46293, #46298
  * Fix handling of '/' for the dist name. Closes: #43830, #45640, #45692
  * Fixed 'Method gave a blank filename' error from IMS queries onto CDs.
    Closes: #45034, #45695, #46537
  * Made OR group handling in the problem resolver more elaborate. Closes: #45646
  * Added APT::Clean-Installed option. Closes: #45973
  * Moves the free space check to after the calculated size is printed.
    Closes: #46639, #47498
  * mipsel arch Closes: #47614
  * Beautified URI printing to not include passwords Closes: #46857
  * Fixed little problem with --no-download Closes: #47557
  * Tweaked Dselect 'update' script to re-gen the avail file even in the
    event of a failure Closes: #47112
  * Retries for source archives too Closes: #47529
  * Unmounts CDROMs iff it mounted them Closes: #45299
  * Checks for the partial directories before doing downloads Closes: #47392
  * no_proxy environment variable (http only!) Closes: #43476
  * apt-cache showsrc Closes: #45799
  * De-Refs Single Pure virtual packages. Closes: #42437, #43555
  * Regexs for install. Closes: #35304, #38835
  * Dependency reports now show OR group relations
  * Re-Install feature. Cloes: #46961, #37393, #38919
  * Locks archive directory on clean (woops)
  * Remove is not 'sticky'. Closes: #48392
  * Slightly more accurate 'can not find package' message. Closes: #48311
  * --trivial-only and --no-remove. Closes: #48518
  * Increased the cache size. Closes: #47648
  * Comment woopsie. Closes: #48789
  * Removes existing links when linking sources. Closes: #48775
  * Problem resolver does not install all virtual packages. Closes: #48591, #49252
  * Clearer usage message about 'source' Closes: #48858
  * Immediate configure internal error Closes: #49062, #48884
  
 -- Ben Gertzfield <che@debian.org>  Sun,  7 Nov 1999 20:21:25 -0800
 

apt (0.3.13) unstable; urgency=low
  
  * Fix timestamp miss in FTP. Closes: #44363
  * Fix sorting of Kept packages. Closes: #44377
  * Fix Segfault for dselect-upgrade. Closes: #44436
  * Fix handling of '/' for the dist name. Closes #43830
  * Added APT::Get::Diff-Only and Tar-Only options. Closes #44384

