=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: standard
 Maintainer: APT Development Team <deity@lists.debian.org>
 Standards-Version: 2.4.1
+Build-Depends: debhelper, debiandoc-sgml
 
 Package: apt
 Architecture: any
@@ -18,8 +19,8 @@
  simpler, safer way to install and upgrade packages.
  .
  APT features complete installation ordering, multiple source capability
- and several other unique features, see the Users Guide in 
- /usr/doc/apt/users-guide.txt.gz
+ and several other unique features, see the Users Guide in
+ /usr/doc/apt/guide.text.gz
 
 Package: libapt-pkg-dev
 Architecture: any
